local LAM = LibStub("LibAddonMenu-2.0")

function SA.CreateConfigMenu()

    local panelData = {
        type                = "panel",
        name                = SA.name,
        displayName         = SA.col2:Colorize("Scaling Alert [Deprecated]"),
        author              = "Enodoc",
        version             = SA.version,
        slashCommand        = nil,
        registerForRefresh  = true,
        registerForDefaults = true,
    }
	local ConfigPanel = LAM:RegisterAddonPanel(SA.name.."Config", panelData)

	local ConfigData = {
		{
			type = "description",
			text = "Due to the release of One Tamriel, ScalingAlert has become obsolete, and is now deprecated. The add-on will no longer be updated following API version 100017. Notice of deprecation is as follows:\n\n|c3A92FFSolo and Group Scaling:|r All instances are now scaled to the maximum CP level, not the level of the Group leader;\n\n|c3A92FFBattle Leveling:|r All zones and instances now use battle leveling, and all players are battle-leveled up to maximum CP level;\n\n|c3A92FFDungeon Mode:|r The mode of the dungeon you are entering (Normal or Veteran) is now indicated directly on the loading screen.\n\nThanks to everyone for helping test this add-on! (A shame it never got out of beta...) To avoid future compatibility issues, it is advised that you uninstall ScalingAlert.",
		},

--[[
		{
			type = "header",
			name = SA.colW:Colorize("General Options"),
		},
		{
			type = "slider",
			name = "Notification Delay",
			tooltip = "Seconds for which the notification will remain on screen",
			min = 3,
			max = 10,
			step = 1,
			getFunc = function() return SA.vars.notifyDelay end,
			setFunc = function(newValue) SA.vars.notifyDelay = newValue end,
		},
		{
			type = "checkbox",
			name = "Output to Chat",
			tooltip = "Also outputs the notifications to your chat window",
			getFunc = function() return SA.vars.chatOutput end,
			setFunc = function(newValue) SA.vars.chatOutput = newValue end,
		},
		{
			type = "dropdown",
			name = "On-Screen Notifications",
			tooltip = "Disabled: No notifications on screen (combined with Output to Chat option allows notifications only in chat)\nESO UI: Display notifications using ESO's built-in announcement system\nCA UI: Display notifications in ScalingAlert's custom alert window",
			choices = {"Disabled", "ESO UI", "SA UI"},
			getFunc = function() return SA.vars.chooseUI end,
			setFunc = function(value)
				if value == "Disabled" then
					SA.vars.onlyChat = true
					SA.vars.chooseUI = value
				else
					SA.vars.onlyChat = false
					SA.vars.chooseUI = value
				end
			end,
		},
		{
			type = "checkbox",
			name = "     Sound",
			tooltip = "Enable notification sounds when using ESO UI",
			getFunc = function() return SA.vars.sound end,
			setFunc = function(newValue) SA.vars.sound = newValue;  end,
			disabled = function() return SA.vars.chooseUI ~= "ESO UI" end,
		},
		{
			type = "button",
			name = "Lock/Unlock",
			tooltip = "Lock/Unlock the alert window",
			func = function() SA.Movable() end,
		},
		{
			type = "header",
			name = SA.colW:Colorize("Notification Options"),
		},
		{
			type = "checkbox",
			name = "Show Solo and Group Scaling",
			tooltip = "Get scaling notifications for solo instances and group dungeons",
			getFunc = function() return SA.vars.showScaling end,
			setFunc = function(newValue) SA.vars.showScaling = newValue;  end,
		},
		{
			type = "checkbox",
			name = "Show Battle Leveling",
			tooltip = "Get notifications for entering an area where you are battle leveled",
			getFunc = function() return SA.vars.showBattle end,
			setFunc = function(newValue) SA.vars.showBattle = newValue;  end,
		},
		{
			type = "checkbox",
			name = "     Always Show Battle Level Zones",
			tooltip = "Get notifications for zones which use battle leveling, when you are not being battle leveled yourself",
			getFunc = function() return SA.vars.showBattleAlways end,
			setFunc = function(newValue) SA.vars.showBattleAlways = newValue;  end,
			disabled = function() return not SA.vars.showBattle end,
		},
		{
			type = "checkbox",
			name = "Show Dungeon Mode",
			tooltip = "Get notifications when you enter a dungeon for whether Dungeon Mode is set to " .. SA.colQ3:Colorize("Normal") .. " or " .. SA.colQ4:Colorize("Veteran"),
			getFunc = function() return SA.vars.showMode end,
			setFunc = function(newValue) SA.vars.showMode = newValue;  end,
		},
		{
			type = "checkbox",
			name = "     Show if Dungeon Mode is Changed",
			tooltip = "Get notifications if Dungeon Mode is changed from " .. SA.colQ3:Colorize("Normal") .. " to " .. SA.colQ4:Colorize("Veteran") .. " or vice versa",
			getFunc = function() return SA.vars.showModeChange end,
			setFunc = function(newValue) SA.vars.showModeChange = newValue;  end,
			disabled = function() return not SA.vars.showMode end,
		},
--]]
		{
			type = "description",
			text = "\nVersion |c3A92FF" .. SA.version .. "|r by @Enodoc, Savant of the United Explorers of Scholarly Pursuits (UESP)\nUESP: The Unofficial Elder Scrolls Pages - A collaborative source for all knowledge on the Elder Scrolls series since 1995. Find us at www.uesp.net\n\nBased on |cD6660CCyrodiil Alert 2|r\n\nAll rights reserved.",
		},
	}
	LAM:RegisterOptionControls(SA.name.."Config", ConfigData)

	
end -- SA.CreateConfigMenu

